<?php

/*
 * Set Default Vars
 */




/*
 * Variation Price
 */

if ( ! is_admin() || defined( 'DOING_AJAX' ) ) {

	add_filter( 'woocommerce_get_price_html', 'wpa83367_price_html', 100, 2 );


	function wpa83367_price_html( $price, $product ){
		// if product has price set (ie. not 0)
		if ( wc_get_price_including_tax($product) ) {

			// vars
			global $woocommerce, $woovat_text, $woovat_incl_message, $woovat_excl_message, $wc_from;
			$dp = wc_get_price_decimals();
			$currency_symbol = null;
			$return = null;
			$taxStatus = $product->is_taxable();
			$tax_value = wc_price( wc_get_price_including_tax($product) * 1 );
			//$currency_symbol = get_woocommerce_currency_symbol();
			$value_stripped = number_format((float)wc_get_price_including_tax($product) * 1, $dp, '.', '');
			$value_stripped_ex = number_format((float)wc_get_price_excluding_tax($product) * 1, $dp, '.', '');
			$regular_price = $product->get_regular_price();
			$qty = 1;

			$price_args = array(
				'qty'   => $qty,
				'price' => $regular_price,
			);

			$value_stripped_sale = wc_price(number_format((float)wc_get_price_including_tax($product, $price_args ) * 1, $dp, '.', ''));
			$value_stripped_sale_ex = wc_price(number_format((float)wc_get_price_excluding_tax($product, $price_args ) * 1, $dp, '.', ''));

			$woovat_text = get_option( 'wc_tax_text', 'VAT' );
			$wc_incl = __('Incl.','wc-tax');
			$wc_excl = __('Excl.','wc-tax');
			if ($woovat_text == '') $woovat_text = __('VAT','wc-tax');
			$woovat_incl_message = $wc_incl . ' ' . $woovat_text;
			$woovat_excl_message = $wc_excl . ' ' . $woovat_text;
			$wc_from = __('From','wc-tax');

			// formats to number of decimal points set in settings
			$value_stripped = wc_price(wc_format_decimal( $value_stripped, $dp ));
			$value_stripped_ex = wc_price(wc_format_decimal( $value_stripped_ex, $dp ));




			// if tax set and variable product show top price on singular page only
			if($taxStatus==true && $product->is_type('variable') && is_singular()) {

				if ( ! $product->get_variation_regular_price( 'min', true ) || $product->get_variation_regular_price( 'min', true ) !== $product->get_variation_regular_price( 'max', true ) ) {


					// vars
					$price_ex  = wc_price( $product->get_variation_regular_price( 'min', true ) );
					$price_ex  = wc_price( wc_get_price_excluding_tax($product) * 1 );
					$price_inc = wc_price( $product->get_price() );

					// join
					//$return .= '<p class="price"><span class=" amount product-tax-off product-tax price" style="display:none;" >' . $wc_from . ' ' . $price_ex . ' </span></p>';
					//$return .= '<p class="price"><span class=" amount product-tax-on product-tax price">' . $wc_from . ' ' . $price_inc . ' </span></p>';


				}
			} // close variable




			// if product = NON-SALE
	        elseif ($product->get_sale_price() ) {
		        //var_dump('non-sale');
		        $return =  '<del><span class="amount product-tax-on product-tax" style="display:none;" title="With '.$woovat_text.' added">' . ($product->has_child()  ? __('From','wc-tax') . ' ' : '') . sprintf( get_woocommerce_price_format(), $currency_symbol, $value_stripped_sale ) . ' '. $woovat_incl_message .'</span><span class="amount product-tax-off product-tax">'  . ($product->has_child()  ? $wc_from .' ' : '') . sprintf( get_woocommerce_price_format(), $currency_symbol, $value_stripped_sale_ex ) . ' ' . $woovat_excl_message .'</span></del>' ;
	        }



			// Return
	        $return .=  ' <span class="amount product-tax-on product-tax" style="display:none;" title="With '.$woovat_text.' added">' . ($product->has_child()  ? $wc_from . ' ' : '') . sprintf( get_woocommerce_price_format(), $currency_symbol, $value_stripped ) . ' '. $woovat_incl_message .'</span><span class="amount product-tax-off product-tax">'  . ($product->has_child()  ? $wc_from . ' ' : '') . sprintf( get_woocommerce_price_format(), $currency_symbol, $value_stripped_ex ) . ' ' . $woovat_excl_message .'</span>' ;
			$price = $return;

		} // close has_tax

		return $price;


	} // close wpa83367_price_html




}






// Debug

// $tax_display_mode      = get_option( 'woocommerce_tax_display_shop' );
// var_dump($_COOKIE['woocommerce_show_tax']);
// var_dump($tax_display_mode);







?>