<?php







if ( ! is_admin() || defined( 'DOING_AJAX' ) ) {


	/*
	 * MINI CART
	 */


	add_filter( 'woocommerce_widget_cart_item_quantity', 'min_cart_override', 100, 3 );

	function min_cart_override( $product_price, $cart_item, $cart_item_key ) {


		//vars

		$_product        = $cart_item['data'];
		$currency_symbol = '$';
		$dp              = wc_get_price_decimals();            // formats to number of decimal points set in settings
		$dep_seperator   = wc_get_price_decimal_separator(); // get's decimal seperator

		if ( 123 == $_product->post->ID ) {
			$price_not_updated = $cart_item['data']->price;
		}

		$product           = $cart_item['data'];
		$tax_value         = wc_price( wc_get_price_including_tax($_product) * 1 ); // Not sure what is that for
		$product_quantity  = $cart_item['quantity'];
		$value_stripped    = wc_get_price_including_tax($_product) * 1 * $product_quantity;
		$value_stripped_ex = wc_get_price_including_tax($_product) * 1 * $product_quantity;
		$value_stripped    = wc_format_decimal( $value_stripped, $dp );
		$value_stripped_ex = wc_format_decimal( $value_stripped_ex, $dp );

		$wc_excl     = __( 'Excl.', 'wc-tax' );
		$wc_incl     = __( 'Incl.', 'wc-tax' );
		$woovat_text = get_option( 'wc_tax_text', 'VAT' );

		return ' <span style="display:none;" class="amount product-tax-on product-tax" title="With ' . $woovat_text . ' added">' . $product_quantity . 'x ' . wc_price( $value_stripped ) . ' ' . $wc_incl . ' ' . $woovat_text . '</span><span class="amount product-tax-off product-tax"><span class="quantity">' . $product_quantity . '</span>x ' . wc_price( $value_stripped_ex ) . ' ' . $wc_excl . ' ' . $woovat_text . '</span>';

	}


	/*
	 * Cart Prices
	 */


	add_filter( 'woocommerce_cart_item_price', 'cart_price_html', 100, 3 );
	function cart_price_html( $product_price, $cart_item, $cart_item_key ) {

		global $woovat_text, $wc_incl, $wc_excl;

		if ( is_cart() ) {
			return $product_price;
		} else {
			return $product_price;
			$product         = $cart_item['data'];
			$tax_value       = wc_price( wc_get_price_including_tax( $product ) * 1 ); // Not sure what is that for
			$currency_symbol = '$';

			// formats to number of decimal points set in settings
			$dp                = wc_get_price_decimals();
			$value_stripped    = wc_format_decimal( $value_stripped, $dp );
			$value_stripped_ex = wc_format_decimal( $value_stripped_ex, $dp );

			return ' <span style="display:none;" class="amount product-tax-on product-tax" title="With ' . $woovat_text . ' added">' . wc_price( $value_stripped ) . $wc_incl . $woovat_text . '</span><span class="amount product-tax-off product-tax">' . wc_price( $value_stripped_ex ) . '</span>';
		}

	}


	/*
	 * Variation Prices
	 */

	add_filter( 'woocommerce_variation_price_html', 'wpa83367_variation_price_html', 100, 2 );
	function wpa83367_variation_price_html( $price, $variation ) {


		global $woovat_text, $woovat_incl_message, $woovat_excl_message, $wc_incl, $wc_excl;

		// formats to number of decimal points set in settings
		$dp                = wc_get_price_decimals();
		$value_stripped    = wc_get_price_including_tax($variation) * 1;
		$value_stripped_ex = wc_get_price_excluding_tax($variation) * 1;

		return ' <span style="display:none;" class="amount product-tax-on product-tax" title="With ' . $woovat_text . ' added">' . wc_price( $value_stripped ) . ' ' . $wc_incl . $woovat_text . '</span><span class="amount product-tax-off product-tax">' . wc_price( $value_stripped_ex ) . ' ' . $woovat_excl_message . '</span>';
	}


	/*
	 * Variation Sale Price
	 */

	add_filter( 'woocommerce_variation_sale_price_html', 'wpa83367_variation_sale_price_html', 100, 2 );
	function wpa83367_variation_sale_price_html( $price, $variation ) {

		global $woovat_text, $wc_incl, $wc_excl;
		$value_stripped    = wc_get_price_including_tax($variation) * 1;
		$value_stripped_ex = wc_get_price_excluding_tax($variation) * 1;

		return ' <span style="display:none;" class="amount product-tax-on product-tax" title="With ' . $woovat_text . ' added">' . wc_price( $value_stripped ) . ' ' . $wc_incl . $woovat_text . '</span><span class="amount product-tax-off product-tax">' . wc_price( $value_stripped_ex ) . '</span>';
	}


	/*
	 * Cart Subtotal
	 */


	add_filter( 'woocommerce_cart_subtotal', 'wpa83367_cart_subtotal_html', 100, 3 );
	function wpa83367_cart_subtotal_html( $cart_subtotal, $compound, $cart ) {
		$wc_incl     = null;
		$woovat_text = null;

		if ( is_cart() || is_checkout() || defined( 'WOOCOMMERCE_CHECKOUT' ) ) {

			return $cart_subtotal;

		} else {
			if ( $compound ) {

				$value_stripped    = $cart->cart_contents_total + $cart->shipping_total + $cart->get_taxes_total( false ) * 1;
				$value_stripped_ex = $cart->cart_contents_total + $cart->shipping_total - $cart->get_taxes_total( false ) * 1;

			} else {
				$value_stripped    = $cart->subtotal * 1;
				$value_stripped_ex = $cart->subtotal_ex_tax * 1;
			}

			$dp                = wc_get_price_decimals();
			$value_stripped    = wc_format_decimal( $value_stripped, $dp );
			$value_stripped_ex = wc_format_decimal( $value_stripped_ex, $dp );


			return ' <span style="display:none;" class="amount product-tax-on product-tax" title="With VAT added">' . wc_price( $value_stripped ) . ' ' . $wc_incl . $woovat_text . '</span><span class="amount product-tax-off product-tax">' . wc_price( $value_stripped_ex ) . '</span>';
		}
	}

}