<?php



/*
 * WC Vat Toggle Div
 */


function woovat_toggle() {

	$woovat_text = null;
	$wcvat_hide = get_option( 'woocommerce_tax_toggle_hide', 1 );
	if ($wcvat_hide == "yes") return;

	$woovat_button_text = get_option( 'wc_tax_button_text', 'Include'.' '.$woovat_text );
	if ($woovat_button_text == '') $woovat_button_text = __('Include','wc-tax') . ' ' .$woovat_text;

	$woovat_button_text_toggle = get_option( 'wc_tax_button_text_toggle', 'Include'.' '.$woovat_text );
	if ($woovat_button_text_toggle == '') $woovat_button_text_toggle = __('Exclude','wc-tax') . ' ' .$woovat_text;


	$woovat_text = get_option( 'wc_tax_text', 'VAT' );
	$woovat_button_text_output = $woovat_button_text;

	if (is_cart()) :
		echo '<a id="wcvat-toggle" class="wcvat-toggle-cart" href="javascript:void(0)" ><span class="wcvat-toggle-button-incl">'. $woovat_button_text_output . '</span><span class="wcvat-toggle-button-excl">'. $woovat_button_text_toggle .'</span></a>';
	elseif (!is_checkout()) :
		echo '<a id="wcvat-toggle" class="wcvat-toggle-product" href="javascript:void(0)" ><span class="wcvat-toggle-button-incl">' . $woovat_button_text_output .'</span><span class="wcvat-toggle-button-excl">'. $woovat_button_text_toggle .'</span></a>';
	endif;

}



/*
 * Add Overlay Toggle
 */

add_action('wp_head','woovat_toggle',100);


/*
 * Add Settings
 */

add_filter( 'woocommerce_tax_settings', 'add_wcvat_settings' );

function add_wcvat_settings( $settings ) {

	$updated_settings = array();



	foreach ( $settings as $section ) {



		// at the bottom of the General Options section

		if ( isset( $section['id'] ) && 'tax_options' == $section['id'] &&

		     isset( $section['type'] ) && 'sectionend' == $section['type'] ) {



			$updated_settings[] = array(

				'name'     => __( 'Hide Tax Toggle', 'wc-tax' ),

				'desc_tip' => __( 'Click to remove the floating toggle for the WooCommerce VAT Extension.', 'wc-tax' ),

				'id'       => 'woocommerce_tax_toggle_hide',

				'type'     => 'checkbox',

				'css'      => '',

				'std'      => '1',  // WC < 2.0

				'default'  => '1',  // WC >= 2.0

				'desc'     => __( '', 'wc-tax' ),

			);

			$updated_settings[] = array(

				'name'     => __( 'Tax Text', 'wc-tax' ),

				'desc_tip' => __( 'This changes the word Tax when it is Incl. and Excl. on front end', 'wc-tax' ),

				'id'       => 'wc_tax_text',

				'type'     => 'text',

				'css'      => 'width:100px;',

				'std'      => 'VAT',  // WC < 2.0

				'default'  => 'VAT',  // WC >= 2.0

				'desc'     => __( '', 'wc-tax' ),

			);

			$updated_settings[] = array(

				'name'     => __( 'Tax button Text', 'wc-tax' ),

				'desc_tip' => __( 'This changes the button text - which is Include by default', 'wc-tax' ),

				'id'       => 'wc_tax_button_text',

				'type'     => 'text',

				'css'      => 'width:100px;',

				'std'      => 'Incl. VAT',  // WC < 2.0

				'default'  => 'Incl. VAT',  // WC >= 2.0

				'desc'     => __( '', 'wc-tax' ),

			);

			$updated_settings[] = array(

				'name'     => __( 'Tax button Text Toggled', 'wc-tax' ),

				'desc_tip' => __( 'This changes the button text - which is Include by default', 'wc-tax' ),

				'id'       => 'wc_tax_button_text_toggle',

				'type'     => 'text',

				'css'      => 'width:100px;',

				'std'      => 'Excl. VAT',  // WC < 2.0

				'default'  => 'Excl. VAT',  // WC >= 2.0

				'desc'     => __( '', 'wc-tax' ),

			);

		}




		$updated_settings[] = $section;

	}

	return $updated_settings;

}




// Output Function
function woo_tax_output() {
	$woovat_button_text = get_option( 'wc_tax_button_text', 'Include'.' '.$woovat_text );
	$woovat_button_text_toggle = get_option( 'wc_tax_button_text_toggle', 'Exclude'.' '.$woovat_text );
	echo '<a id="wcvat-toggle" class="wcvat-toggle-widget wcvat-toggle-product woo-sc-button custom xl" href="javascript:void(0)"><span class="wcvat-toggle-button-incl">'.$woovat_button_text.'</span><span class="wcvat-toggle-button-excl">'. $woovat_button_text_toggle .'</span></a>';

}



// Shortcode
function woo_tax_shortcode() {
	woo_tax_output();
}
add_shortcode( 'wootax', 'woo_tax_shortcode' );

